<div>
  <h2 id="page-heading" data-cy="InvoiceHeading">
    <span>Invoices</span>

    <div class="d-flex justify-content-end">
      <button class="btn btn-info me-2" (click)="load()" [disabled]="isLoading">
        <fa-icon icon="sync" [spin]="isLoading"></fa-icon>
        <span>Refresh list</span>
      </button>

      <button
        id="jh-create-entity"
        data-cy="entityCreateButton"
        class="btn btn-primary jh-create-entity create-invoice"
        [routerLink]="['/invoice/new']"
      >
        <fa-icon icon="plus"></fa-icon>
        <span>Create a new Invoice</span>
      </button>
    </div>
  </h2>

  <jhi-alert-error></jhi-alert-error>

  <jhi-alert></jhi-alert>

  @if (invoices?.length === 0) {
    <div class="alert alert-warning" id="no-result">
      <span>No Invoices found</span>
    </div>
  }

  @if (invoices && invoices.length > 0) {
    <div class="table-responsive table-entities" id="entities">
      <table class="table table-striped" aria-describedby="page-heading">
        <thead>
          <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" (sortChange)="navigateToWithComponentValues()">
            <th scope="col" jhiSortBy="id">
              <div class="d-flex">
                <span>ID</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="type">
              <div class="d-flex">
                <span>Type</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="tanggal">
              <div class="d-flex">
                <span>Tanggal</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="tglOrder">
              <div class="d-flex">
                <span>Tgl Order</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="jmlOrder">
              <div class="d-flex">
                <span>Jml Order</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="jmlOrderCancel">
              <div class="d-flex">
                <span>Jml Order Cancel</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="noProformaPnbp">
              <div class="d-flex">
                <span>No Proforma Pnbp</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="noProformaJasa">
              <div class="d-flex">
                <span>No Proforma Jasa</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="noBillpymPnbp">
              <div class="d-flex">
                <span>No Billpym Pnbp</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="noBillpymJasa">
              <div class="d-flex">
                <span>No Billpym Jasa</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="amountPnbp">
              <div class="d-flex">
                <span>Amount Pnbp</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="taxPnbp">
              <div class="d-flex">
                <span>Tax Pnbp</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="totalAmountPnbp">
              <div class="d-flex">
                <span>Total Amount Pnbp</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="amountJasa">
              <div class="d-flex">
                <span>Amount Jasa</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="vatJasa">
              <div class="d-flex">
                <span>Vat Jasa</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="taxJasa">
              <div class="d-flex">
                <span>Tax Jasa</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="totalAmountJasa">
              <div class="d-flex">
                <span>Total Amount Jasa</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="fileProformaPnbp">
              <div class="d-flex">
                <span>File Proforma Pnbp</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="fileProformaJasa">
              <div class="d-flex">
                <span>File Proforma Jasa</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="fileBillpymPnbp">
              <div class="d-flex">
                <span>File Billpym Pnbp</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="fileBillpymJasa">
              <div class="d-flex">
                <span>File Billpym Jasa</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="fileBulk">
              <div class="d-flex">
                <span>File Bulk</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="fileTax">
              <div class="d-flex">
                <span>File Tax</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="fileTxt">
              <div class="d-flex">
                <span>File Txt</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="status">
              <div class="d-flex">
                <span>Status</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="updateBy">
              <div class="d-flex">
                <span>Update By</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="updateOn">
              <div class="d-flex">
                <span>Update On</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col"></th>
          </tr>
        </thead>
        <tbody>
          @for (invoice of invoices; track trackId) {
            <tr data-cy="entityTable">
              <td>
                <a [routerLink]="['/invoice', invoice.id, 'view']">{{ invoice.id }}</a>
              </td>
              <td>{{ invoice.type }}</td>
              <td>{{ invoice.tanggal | formatMediumDate }}</td>
              <td>{{ invoice.tglOrder | formatMediumDate }}</td>
              <td>{{ invoice.jmlOrder }}</td>
              <td>{{ invoice.jmlOrderCancel }}</td>
              <td>{{ invoice.noProformaPnbp }}</td>
              <td>{{ invoice.noProformaJasa }}</td>
              <td>{{ invoice.noBillpymPnbp }}</td>
              <td>{{ invoice.noBillpymJasa }}</td>
              <td>{{ invoice.amountPnbp }}</td>
              <td>{{ invoice.taxPnbp }}</td>
              <td>{{ invoice.totalAmountPnbp }}</td>
              <td>{{ invoice.amountJasa }}</td>
              <td>{{ invoice.vatJasa }}</td>
              <td>{{ invoice.taxJasa }}</td>
              <td>{{ invoice.totalAmountJasa }}</td>
              <td>{{ invoice.fileProformaPnbp }}</td>
              <td>{{ invoice.fileProformaJasa }}</td>
              <td>{{ invoice.fileBillpymPnbp }}</td>
              <td>{{ invoice.fileBillpymJasa }}</td>
              <td>{{ invoice.fileBulk }}</td>
              <td>{{ invoice.fileTax }}</td>
              <td>{{ invoice.fileTxt }}</td>
              <td>{{ invoice.status }}</td>
              <td>{{ invoice.updateBy }}</td>
              <td>{{ invoice.updateOn | formatMediumDatetime }}</td>
              <td class="text-end">
                <div class="btn-group">
                  <a [routerLink]="['/invoice', invoice.id, 'view']" class="btn btn-info btn-sm" data-cy="entityDetailsButton">
                    <fa-icon icon="eye"></fa-icon>
                    <span class="d-none d-md-inline">View</span>
                  </a>

                  <a [routerLink]="['/invoice', invoice.id, 'edit']" class="btn btn-primary btn-sm" data-cy="entityEditButton">
                    <fa-icon icon="pencil-alt"></fa-icon>
                    <span class="d-none d-md-inline">Edit</span>
                  </a>

                  <button type="submit" (click)="delete(invoice)" class="btn btn-danger btn-sm" data-cy="entityDeleteButton">
                    <fa-icon icon="times"></fa-icon>
                    <span class="d-none d-md-inline">Delete</span>
                  </button>
                </div>
              </td>
            </tr>
          }
        </tbody>
      </table>
    </div>
  }
  @if (invoices && invoices.length > 0) {
    <div>
      <div class="d-flex justify-content-center">
        <jhi-item-count [params]="{ page: page, totalItems: totalItems, itemsPerPage: itemsPerPage }"></jhi-item-count>
      </div>

      <div class="d-flex justify-content-center">
        <ngb-pagination
          [collectionSize]="totalItems"
          [page]="page"
          [pageSize]="itemsPerPage"
          [maxSize]="5"
          [rotate]="true"
          [boundaryLinks]="true"
          (pageChange)="navigateToPage($event)"
        ></ngb-pagination>
      </div>
    </div>
  }
</div>
